
Redmine - Feature #6605

Provide simple way of hiding completed versions from a gantt chart

2010-10-07 23:39 - Garry Fallon

Status: Closed Start date: 2010-10-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Following some testing of the new Gantt chart implementation (Feature #6276), it would be really nice to provide a simple

mechanism for not showing completed/closed versions on the gantt chart. Currently, if you have a large number of closed version

then these show up on the gantt chart as a single line but add little value to the viewer. Further, it is not currently possible to filter

them out if you have sub-projects (since the 'target version' filter is not available).

A good option might be to go along the same route as the roadmap view, not displaying closed versions by default and provide a

check box to show them if required.

Related issues:

Related to Redmine - Patch #7456: Gantt filters New 2011-01-26

Related to Redmine - Defect #6419: %Done <= 99 filter not removing row for ve... New 2010-09-16

Has duplicate Redmine - Feature #7314: Add "hide closed versions" option to G... Closed 2011-01-12

Has duplicate Redmine - Feature #8047: Gantt - Hide versions with no tasks Closed 2011-04-01

History

#1 - 2010-10-21 18:50 - Simo Pylvas

Can 'status' -filter be used for this? It is already there by default and if only "open" items are shown, then closed version should be hidden as well.

#2 - 2010-10-21 20:06 - Garry Fallon

Simo Pylvas wrote:

Can 'status' -filter be used for this? It is already there by default and if only "open" items are shown, then closed version should be hidden as

well.

 Not really as AFAIK there is no way to show open Versions and the respective closed tickets. So in the case where you have an open version with

closed issues, you wouldn't see them.

#3 - 2011-01-11 03:37 - Fabio Ginzel

+1

#4 - 2011-01-12 18:27 - Cyber Sprocket

+1

#5 - 2011-01-12 18:28 - Cyber Sprocket

Cyber Sprocket wrote:

+1

 We have a project with 25+ completed versions that are closed.   We have to scroll down to see our active builds and thus can no longer see the

months/weeks in the header. :/

#6 - 2011-01-26 17:51 - Etienne Massip

Could someone try this patch at #7456 ?

#7 - 2024-09-19 16:43 - Holger Just
https://www.redmine.org/issues/6276
https://www.redmine.org/issues/7456


- Status changed from New to Closed

- Resolution set to Fixed

Garry Fallon wrote:

Following some testing of the new Gantt chart implementation (Feature #6276), it would be really nice to provide a simple mechanism for not

showing completed/closed versions on the gantt chart.

 You can use the "Target version's Status" filter to only show issues without an assigned target version or one of the selected version statuses (e.g.

open or locked). This filter was added in #23215 and was released in 3.4.0.

Further, it is not currently possible to filter them out if you have sub-projects (since the 'target version' filter is not available).

 The target version filters should always be available now.
